Update a Kiosk
Purpose
To update an existing draft Kiosk in Zoho CRM. This API allows you to update the Kiosk's name, description, group API name, and current record module.
Use the Get All Kiosks API to retrieve the Kiosk ID. You can identify a draft Kiosk using the status key in the response, where the value will be draft.
Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.
Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation permission enabled.
Endpoints
- PUT /settings/kiosks/{kiosk_ID}
Request Details
Request URL
{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}
Header
Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
Scope
ZohoCRM.settings.kiosks.UPDATE
or
ZohoCRM.settings.ALL
Sample Request
Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010015021"
-X PUT
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d "@kiosks.json"Input JSON
The kiosks JSON array is the root key. It accepts only one Kiosk object. Provide the following keys within the object to update the Kiosk.
- namestring, optional
Specify a unique name for the Kiosk. A maximum of 50 characters is allowed.
- descriptionstring, optional
Specify a brief description for the Kiosk.
- group_api_namestring, optional
Specify a unique API name for the Kiosk. If omitted, Zoho CRM automatically generates one based on the Kiosk name. Only letters, numbers, and underscores (_) are supported. Special characters are not allowed.
- current_record_moduleJSON object, optional
Specify the module to associate with the Kiosk's Current Record context. All operations that use the Current Record such as field references, criteria evaluation, GetRecords, and actions are performed based on the selected module. Please note that the Teams modules are not supported. Use the Get Modules Metadata API to retrieve the module API name and ID. Either ID or API name is mandatory.
Note
- You can update one Kiosk in a single API call.
- All fields supported in the Create a Kiosk API can be updated using this API.
- You can update a Kiosk only when it is in the draft state.
Sample Input
Copied{
"kiosks": [
{
"description": "Kiosk based on the Leads module", //updating #description
"name": "Leads related Kiosk cases", //updating #name
"group_api_name": "Leads", //updating #group_api_name
"current_record_module": { //updating #current_record_module
"id": "5725767000000002179",
"api_name": "Contacts"
}
}
]
}Possible Errors
- INVALID_DATAHTTP 400
- Invalid Kiosk ID
Resolution: Specify a valid Kiosk ID. Use the Get All Kiosks API to retrieve the Kiosk ID. - Invalid characters
Resolution: Invalid characters are present in the group_api_name key. Remove unsupported special characters and try again. Refer to the Input JSON section for details. - Invalid ID or module details specified in current_record_module
Resolution: Provide a valid module ID and API name. Use the Get Module Metadata API to retrieve valid module details. - Maximum length has been reached for the name key
Resolution: A maximum of 50 characters is allowed for the name field. Specify a value within the allowed limit.
- Invalid Kiosk ID
- MANDATORY_NOT_FOUNDHTTP 400
One or more mandatory keys are missing
Resolution: Specify all mandatory fields. Refer to the Input JSON section for the list of mandatory fields. - DUPLICATE_DATAHTTP 400
- Duplicate data has been provided in the name field.
Resolution: Specify a unique Kiosk name. - Duplicate data has been provided in the group_api_name field.
Resolution: Specify a unique Kiosk API name.
- Duplicate data has been provided in the name field.
- AMBIGUITY_DURING_PROCESSINGHTTP 400
- The given module ID and API name do not match
Resolution: Specify the correct module API name and its corresponding unique ID. Use the Get Module Metadata API to retrieve valid module details.
- The given module ID and API name do not match
- INVALID_REQUEST_METHODHTTP 400
The http request method type is not a valid one
Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details. - OAUTH_SCOPE_MISMATCHHTTP 401
Unauthorized
Resolution: The client does not have a valid scope to update the Kiosk. Create a new token with valid scope. Refer to the Scope section for more details. - AUTHENTICATION_FAILUREHTTP 401
Authentication failed
Resolution: Pass the access token in the request header of the API call. - INVALID_URL_PATTERNHTTP 404
Please check if the URL trying to access is a correct one
Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details. - INTERNAL_ERRORHTTP 500
Internal Server Error
Resolution: Unexpected and unhandled exception in the server. Contact support team.
Sample Response
Copied{
"kiosks": [
{
"code": "SUCCESS",
"details": {
"id": "5725767000010015021"
},
"message": "Kiosk updated successfully",
"status": "success"
}
]
}